# $Revision: 1.17 $, $Date: 2002/10/04 06:32:01 $
Summary:	Simple packet filter generator
Summary(pl):	Prosty generator filtrw pakietw
Name:		filter
Version:	0.9
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://hairy.beasts.org/filter/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}.sysconfig
Source3:	%{name}.init
Patch0:		%{name}-types.patch
URL:		http://hairy.beasts.org/filter/
BuildRequires:	flex
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Provides:	firewall
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool is for generating packet filtering rules from a fairly high-
level description language. It doesn't support all of the whizz-bang
features of the latest and greatest packet filters, but supports a
decent subset which is sufficient for typical workstation.

It currently supports only Linux iptables and ipchains. Cisco IOS has
been begun, but is incomplete. Darren Reed's ipfilter may be supported
at some stage. It doesn't generate optimal rulesets, and has a few
limitations which need to be removed, but is still a useful tool.

Please read HONESTY file!

%description -l pl
To jest narzdzie do generowania regu filtrowania pakietw z
wzgldnie wysokopoziomowego jzyka opisu. Nie obsuguje wszystkich
zaawansowanych moliwoci najnowszych filtrw pakietw, ale wspiera
przyzwoity podzbir, wystarczajcy dla typowych stacji roboczych.

Aktualnie obsuguje tylko linuksowe iptables i ipchains. Obsuga Cisco
IOS jest zaczta, ale nie kompletna. ipfilter Darrena Reeda jest
obsugiwany czciowo. Nie generuje optymalnych reguek i ma par
ogranicze, ktre powinny by usunite, ale mimo to jest uytecznym
narzdziem.

Przeczytaj plik HONESTY!

%prep
%setup -q
%patch -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -Werror"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/%{name}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT%{_mandir}/man{5,7,8}

install filtergen $RPM_BUILD_ROOT%{_sbindir}
install filter_syntax.5 $RPM_BUILD_ROOT%{_mandir}/man5
install filter_backends.7 $RPM_BUILD_ROOT%{_mandir}/man7
install filtergen.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/simple.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/generated_rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add filter
if [ -f /var/lock/subsys/filter ]; then
        /etc/rc.d/init.d/filter restart >&2
else
        echo "Run \"/etc/rc.d/init.d/filter start\" to start filter"
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/filter ]; then
                /etc/rc.d/init.d/filter stop >&2
        fi
        /sbin/chkconfig --del filter
fi

%files
%defattr(644,root,root,755)
%doc README HONESTY HISTORY TODO tests
%attr(755,root,root) %{_sbindir}/filtergen
%dir %{_sysconfdir}/%{name}
%attr(600,root,root) %{_sysconfdir}/%{name}/simple.conf
%attr(600,root,root) %{_sysconfdir}/%{name}/generated_rules
%attr(600,root,root) %{_sysconfdir}/sysconfig/%{name}
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: filter.spec,v $
Revision 1.17  2002/10/04 06:32:01  bonkey
- release 3
- added missed manuals

Revision 1.16  2002/09/05 07:46:30  qboosh
- fixed build on alpha (types patch), use proper CC and CFLAGS; release 2

Revision 1.15  2002/09/03 17:48:05  kloczek
- (auto)updated to 0.9: bug fixes.

Revision 1.14  2002/08/18 13:20:31  blues
- 0.8 - SECURITY update

Revision 1.13  2002/05/02 15:28:08  kloczek
- release 5.

Revision 1.12  2002/04/25 16:18:07  arturs
fixed a small typo

Revision 1.11  2002/02/22 23:28:51  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/03 22:10:50  qboosh
- Prereq: /sbin/chkconfig is back (rc-scripts doesn't require chkconfig!)
- release 4

Revision 1.8  2001/12/03 18:13:58  kloczek
- changed Prereq for /sbin/chkconfig to rc-scripts,
- spec adapterized.

Revision 1.7  2001/12/03 17:28:52  bonkey
- release: 3
- support for /etc/rc.d/init.d/filter script
- added %%{name}.sysconfig
- added %%{name}.init
- added Prereq: /sbin/chkconfig
- changed premissions for %%{_sysconfdir}/%%{name}/simple.conf to 600
- added sysconfig and init.d files
- added %%{preun,post} scripts

Revision 1.6  2001/11/27 09:14:57  qboosh
- pl translations, added missing dir; release 2

Revision 1.5  2001/10/25 08:05:53  kloczek
- removed outdated equalsigns patch.

Revision 1.4  2001/10/25 07:30:20  kloczek
- updated to 0.5.

Revision 1.3  2001/10/08 14:20:22  kloczek
- spec adapterized and some cosmetics.

Revision 1.2  2001/10/07 13:12:59  bonkey
- attr(755) for filtergen binary

Revision 1.1  2001/10/07 12:08:37  bonkey
- initial spec
